Package org.silverpeas.mobile.client.common.reconizer.swipe

## Class SwipeEvent<H extends com.google.gwt.event.shared.EventHandler>

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - org.silverpeas.mobile.client.common.reconizer.swipe.SwipeEvent<H>

- Type Parameters:
    `H` - Handler type of the event
  Direct Known Subclasses:
    `SwipeEndEvent`, `SwipeMoveEvent`, `SwipeStartEvent`

      public abstract class SwipeEvent<H extends com.google.gwt.event.shared.EventHandler>
      extends com.google.gwt.event.shared.GwtEvent<H>

  base class for all swipte events

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SwipeEvent.DIRECTION` |

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwipeEvent​(SwipeEvent.DIRECTION direction)` | Construct a swipe event with a given direction

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SwipeEvent.DIRECTION` | `getDirection()` | the direction of the event

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwipeEvent

          public SwipeEvent​(SwipeEvent.DIRECTION direction)

      Construct a swipe event with a given direction
      Parameters:
        `direction` - the direction to use

  - ### Method Detail

    - #### getDirection

          public SwipeEvent.DIRECTION getDirection()

      the direction of the event
      Returns:
        the direction